微信扫一扫打赏支持

TensorFlow1.2~2.1各个GPU版本CUDA和cuDNN对应版本整理(干货)

TensorFlow1.2~2.1各个GPU版本CUDA和cuDNN对应版本整理(干货)

一、总结

一句话总结:

可以在官网查看tensorflow、cuda、cudnn的对应关系,在TensorFlow的GPU版本安装过程中,如果对应的CUDA版本和cuDNN版本不正确的话,是无法正常使用GPU来进行模型训练的。

 

 

二、干货:TensorFlow1.2~2.1各个GPU版本CUDA和cuDNN对应版本整理

转自或参考:干货:TensorFlow1.2~2.1各个GPU版本CUDA和cuDNN对应版本整理
https://blog.csdn.net/fengdu78/article/details/104667044

最近发现很多QQ群和微信群里经常会有人问这么一个问题——“我安装TensorFlow GPU版本怎么总是提示CUDA版本不对或者cuDNN版本不对呢?”为了解决大家这个问题,我特意把TensorFlow1.2到最新版本所需要的CUDA和cuDNN对应的版本做了个整理,希望能够对大家有帮助。

要搭建TensorFlow的GPU版本,首先需要的必备条件就是一块能够支持CUDA的NVIDIA显卡,因为在搭建TensorFlow的GPU版本时,首先需要做的一件事就是安装其基础支持平台CUDA和其机器学习库cuDNN,然后在此基础上搭建TensorFlow GPU版本。

其次还要了解一下不同的TensorFlow版本所需要对应安装的CUDA和cuDNN版本是多少,因为在TensorFlow的GPU版本安装过程中,如果对应的CUDA版本和cuDNN版本不正确的话,是无法正常使用GPU来进行模型训练的。下表整理出了TensorFlow从1.2到最新版本的CUDA和cuDNN所对应的版本集合。

TensorFlow版本

CUDA版本

cuDNN版本

1.2

CUDA Toolkit 8.0

cuDNN v5.1

1.3

CUDA Toolkit 8.0

cuDNN v6 or v6.1

1.4

CUDA Toolkit 8.0

cuDNN v6.1

1.5

CUDA Toolkit 9.0

cuDNN v7.0

1.6

CUDA Toolkit 9.0

cuDNN v7.0

1.7

CUDA Toolkit 9.0

cuDNN v7.0

1.8

CUDA Toolkit 9.0

cuDNN v7.0

1.9

CUDA Toolkit 9.0

cuDNN v7.0

1.10

CUDA Toolkit 9.0

cuDNN v7.1

1.11

CUDA Toolkit 9.0

cuDNN v7.1

1.12

CUDA Toolkit 9.0

cuDNN v7.3

1.13

CUDA Toolkit 10.0

cuDNN v7.3

1.14

CUDA Toolkit 10.0

cuDNN v7.4

1.15

CUDA Toolkit 10.0

cuDNN v7.5

2.0

CUDA Toolkit 10.0

cuDNN v7.6

2.1.0

CUDA Toolkit 10.1

cuDNN v7.6


 

 

这个页面可以查看这三者版本的对应关系

https://tensorflow.google.cn/install/source_windows

 

 

 

 

 

 

我的旨在学过的东西不再忘记(主要使用艾宾浩斯遗忘曲线算法及其它智能学习复习算法)的偏公益性质的完全免费的编程视频学习网站: fanrenyi.com;有各种前端、后端、算法、大数据、人工智能等课程。
博主25岁,前端后端算法大数据人工智能都有兴趣。
大家有啥都可以加博主联系方式(qq404006308,微信fan404006308)互相交流。工作、生活、心境,可以互相启迪。
聊技术,交朋友,修心境,qq404006308,微信fan404006308
26岁,真心找女朋友,非诚勿扰,微信fan404006308,qq404006308
人工智能群:939687837

作者相关推荐

posted @ 2020-08-08 18:47  范仁义  阅读(2104)  评论(0编辑  收藏  举报